# PMDPHPCPDResultFormatter

Extends \PHPCPDResultFormatter

Prints PMD-XML output of phpcpd run

package | phing.tasks.ext.phpcpd.formatter
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: d746dcad25919ea941060291f43c98c2d230400c $

### Methods

## Processes a list of clones.

    processClones(object $clones, \Project $project, boolean $useFile = false, \PhingFile|null $outFile = null)

inherited abstract

### Arguments

#### $clones

`object`

#### $project

`\Project`

#### $useFile

`boolean`

#### $outFile

`\PhingFile|null`